#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
from pdfminer.pdfinterp import PDFResourceManager, PDFPageInterpreter
from pdfminer.pdfpage import PDFPage
from pdfminer.converter import XMLConverter, HTMLConverter, TextConverter
from pdfminer.layout import LAParams
from cStringIO import StringIO

#Bases on solution from http://stackoverflow.com/questions/5725278/how-do-i-use-pdfminer-as-a-library#20905381
#Used together with PDFMiner version 20140328
#Tagastab PDFi sisu teksti kujul.

def pdfparser(data):
    fp = file(data, 'rb')
    rsrcmgr = PDFResourceManager()
    retstr = StringIO()
    codec = 'iso-8859-4'
    laparams = None
    device = TextConverter(rsrcmgr, retstr, codec=codec, laparams=laparams)
    # Create a PDF interpreter object.
    interpreter = PDFPageInterpreter(rsrcmgr, device)
    # Process each page contained in the document.

    for page in PDFPage.get_pages(fp):
        interpreter.process_page(page)
        data =  retstr.getvalue()
    return data

if __name__ == '__main__':
    pdfparser(sys.argv[1])  
